Bug 209127 - system-config-users won't start, python2 consumming 99% CPU
system-config-users won't start, python2 consumming 99% CPU
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-users (Show other bugs)
4.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-03 09:54 EDT by Nicolas Scheibling
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-07 09:45:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace output of system-config-user (62.72 KB, text/plain)
2006-10-03 09:54 EDT, Nicolas Scheibling
no flags Details

  None (edit)
Description Nicolas Scheibling 2006-10-03 09:54:10 EDT
Description of problem:
system-config-users won't start, it doesn't display any messages.
Using top i can see python2 growing to 99% CPU, i let it turn some few minutes
without any message.

Version-Release number of selected component (if applicable):
python-2.3.4-14.1
system-config-users-1.2.27-0.EL4.1

How reproducible:
open a terminal and type system-config-users, the result is the same using the
Gnome/KDE menu.

Steps to Reproduce:
1.launch system-config-users
2.
3.
  
Actual results:
Nothing is displayed even in console.

Expected results:
The system-config-users gui should appear.

Additional info:
Red Hat Enterprise Linux ES release 4 (Nahant Update 3)
Linux ADV_GDBi 2.6.9-34.ELsmp i686 i686 i386 
-------------------------------
Output of the top command: 
top - 15:20:48 up 33 days,  6:38,  4 users,  load average: 0.34, 0.46, 2.00
Tasks: 111 total,   2 running, 109 sleeping,   0 stopped,   0 zombie
Cpu(s): 52.1% us,  0.5% sy,  0.0% ni, 47.4% id,  0.0% wa,  0.0% hi,  0.0% si
Mem:   3115272k total,  3058160k used,    57112k free,   122544k buffers
Swap:  6160368k total,      128k used,  6160240k free,  2736648k cached

  PID USER      PR  NI  VIRT  RES  SHR S %CPU %MEM    TIME+  COMMAND
 7600 root      25   0 27656  13m 8912 R 96.6  0.4   0:11.87 python2
-------------------------------
Output of ps -aef |grep system-config-users:
root      7596  7521  0 15:20 pts/1    00:00:00 strace -o
system-config-users-1.2.27-0.EL4.1.trace system-config-users
root      7597  7596  0 15:20 pts/1    00:00:00 system-config-users
root      7598  7597  0 15:20 pts/1    00:00:00 /usr/sbin/userhelper -w
system-config-users
root      7599  7598  0 15:20 pts/1    00:00:00 /bin/sh
/usr/share/system-config-users/system-config-users
root      7600  7599 96 15:20 pts/1    00:02:17 /usr/bin/python2
/usr/share/system-config-users/system-config-users.py
root      7614  7613  0 15:22 pts/2    00:00:00 rpm -q system-config-users
Comment 1 Nicolas Scheibling 2006-10-03 09:54:10 EDT
Created attachment 137649 [details]
strace output of system-config-user
Comment 2 Nils Philippsen 2007-07-05 04:21:07 EDT
Sorry for taking so long to respond...

According to the process list in comment #0, it's hanging in userhelper. What
version of usermode do you have installed?
Comment 3 Nils Philippsen 2007-11-07 09:45:05 EST
Closing due to inactivity.

Note You need to log in before you can comment on or make changes to this bug.